Bug 168187 - Review request: perl-File-Flat - Implements a flat filesystem
Review request: perl-File-Flat - Implements a flat filesystem
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
Depends On: 167282 167381 168160 168174 168186 168194
Blocks: FE-ACCEPT 168213
  Show dependency treegraph
Reported: 2005-09-13 07:10 EDT by Ralf Corsepius
Modified: 2014-01-21 13:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 02:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-13 07:10:37 EDT
Spec Name or Url:

SRPM Name or Url:

File::Flat implements a flat filesystem. A flat filesystem is a filesystem
in which directories do not exist. It provides an abstraction over any
normal filesystem which makes it appear as if directories do not exist.
Comment 1 Paul Howarth 2005-09-19 08:05:25 EDT

- rpmlint clean
- package and spec naming OK
- license is same as perl, matches spec, text included
- spec file written in English and is legible
- source matches upstream
- builds OK in mock for FC4 (i386)
- BR's look OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no duplicate files
- no directory ownership or permissions issues
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets


- where did the specific version dependencies for File::Copy, File::Find and
  IO::File come from? Makefile.PL just seems to check for *any* version of
  these modules rather than specific versions

Comment 2 Ralf Corsepius 2005-09-19 09:22:51 EDT
(In reply to comment #1)

> - where did the specific version dependencies for File::Copy, File::Find and
>   IO::File come from? 
Probably a braino + cut'n'pasto on my part - Usually cut'n'paste these checks
logs into the spec and edit them.

Seems as if I added the "currently installed versions the checks reported"
instead of the required versions. To be fixed post-commit.
Comment 3 Lubomir Rintel 2014-01-21 12:52:35 EST
Package Change Request
Package Name: perl-File-Flat
New Branches: epel7
Owners: lkundrak

The Fedora maintainer (Ralf Corsepius, corsepiu) is not willing to maintain EPEL packages.
Comment 4 Jon Ciesla 2014-01-21 13:05:19 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.